# This scripts downloads, prepares and saves the 'astrocyte' data.

args <- R.utils::commandArgs(
  trailingOnly = TRUE,
  asValues = TRUE
)

suppressMessages({
  library(SingleCellExperiment)
  library(scran)
  library(scater)
})

set.seed(07112021)

astrocyte <- readRDS(args$raw_data)

colLabels(astrocyte) <- as.factor(colLabels(astrocyte))

astrocyte <- runPCA(astrocyte)
astrocyte <- runTSNE(astrocyte, dimred = "PCA")
astrocyte <- runUMAP(astrocyte, dimred = "PCA")

saveRDS(astrocyte, args$data)
